clc;
clear all; 

%Load dataset
GW30 = load('GW30.mat');
GW31 = load('GW31.mat');
GW32 = load('GW32.mat');
GW33 = load('GW33.mat');
GW34 = load('GW34.mat');
GW35 = load('GW35.mat');

%Choose samples
start = 7705601;
stop = 7707600;

%Samples
GW30_ae1_data = GW30.testPoint.data(1).vData.ch(1).data(start:stop);  
GW31_ae1_data = GW31.testPoint.data(1).vData.ch(1).data(start:stop); 
GW32_ae1_data = GW32.testPoint.data(1).vData.ch(1).data(start:stop); 
GW33_ae1_data = GW33.testPoint.data(1).vData.ch(1).data(start:stop); 
GW34_ae1_data = GW34.testPoint.data(1).vData.ch(1).data(start:stop); 
GW35_ae1_data = GW35.testPoint.data(1).vData.ch(1).data(start:stop); 
GW30_ae3_data = GW30.testPoint.data(1).vData.ch(3).data(start:stop);  
GW31_ae3_data = GW31.testPoint.data(1).vData.ch(3).data(start:stop); 
GW32_ae3_data = GW32.testPoint.data(1).vData.ch(3).data(start:stop); 
GW33_ae3_data = GW33.testPoint.data(1).vData.ch(3).data(start:stop); 
GW34_ae3_data = GW34.testPoint.data(1).vData.ch(3).data(start:stop); 
GW35_ae3_data = GW35.testPoint.data(1).vData.ch(3).data(start:stop); 
GW30_ae4_data = GW30.testPoint.data(1).vData.ch(4).data(start:stop);  
GW31_ae4_data = GW31.testPoint.data(1).vData.ch(4).data(start:stop); 
GW32_ae4_data = GW32.testPoint.data(1).vData.ch(4).data(start:stop); 
GW33_ae4_data = GW33.testPoint.data(1).vData.ch(4).data(start:stop); 
GW34_ae4_data = GW34.testPoint.data(1).vData.ch(4).data(start:stop); 
GW35_ae4_data = GW35.testPoint.data(1).vData.ch(4).data(start:stop); 

%Calculate RMS
GW30_ae1_rms = rms(GW30_ae1_data);  
GW31_ae1_rms = rms(GW31_ae1_data);
GW32_ae1_rms = rms(GW32_ae1_data);
GW33_ae1_rms = rms(GW33_ae1_data);
GW34_ae1_rms = rms(GW34_ae1_data); 
GW35_ae1_rms = rms(GW35_ae1_data);
GW30_ae3_rms = rms(GW30_ae3_data);
GW31_ae3_rms = rms(GW31_ae3_data);
GW32_ae3_rms = rms(GW32_ae3_data);
GW33_ae3_rms = rms(GW33_ae3_data);
GW34_ae3_rms = rms(GW34_ae3_data);
GW35_ae3_rms = rms(GW35_ae3_data);
GW30_ae4_rms = rms(GW30_ae4_data);
GW31_ae4_rms = rms(GW31_ae4_data);
GW32_ae4_rms = rms(GW32_ae4_data);
GW33_ae4_rms = rms(GW33_ae4_data);
GW34_ae4_rms = rms(GW34_ae4_data);
GW35_ae4_rms = rms(GW35_ae4_data);

%Make lists of acoustic measurements
GW_ae1_data = [GW30_ae1_data; GW31_ae1_data; GW32_ae1_data; GW33_ae1_data; GW34_ae1_data; GW35_ae1_data];
GW_ae3_data = [GW30_ae3_data; GW31_ae3_data; GW32_ae3_data; GW33_ae3_data; GW34_ae3_data; GW35_ae3_data];
GW_ae4_data = [GW30_ae4_data; GW31_ae4_data; GW32_ae4_data; GW33_ae4_data; GW34_ae4_data; GW35_ae4_data];
GW_ae1_rms = [GW30_ae1_rms GW31_ae1_rms GW32_ae1_rms GW33_ae1_rms GW34_ae1_rms GW35_ae1_rms];
GW_ae3_rms = [GW30_ae3_rms GW31_ae3_rms GW32_ae3_rms GW33_ae3_rms GW34_ae3_rms GW35_ae3_rms];
GW_ae4_rms = [GW30_ae4_rms GW31_ae4_rms GW32_ae4_rms GW33_ae4_rms GW34_ae4_rms GW35_ae4_rms];

%Make lists of flow measurements
GW_Wref_Qv = [GW30.testPoint.watRef.q GW31.testPoint.watRef.q GW32.testPoint.watRef.q GW33.testPoint.watRef.q GW34.testPoint.watRef.q GW35.testPoint.watRef.q];
GW_Gref_Qv = [30.34, 29.52, 31.49, 31.49, 30.11, 30.58];
%GW_Gref_Qv = [GW30.testPoint.gasRef.q GW31.testPoint.gasRef.q GW32.testPoint.gasRef.q GW33.testPoint.gasRef.q GW34.testPoint.gasRef.q GW35.testPoint.gasRef.q];


%Make lists of valve positions and pressure measurements
GW_HIC = [GW30.testPoint.HIC.pos GW31.testPoint.HIC.pos GW32.testPoint.HIC.pos GW33.testPoint.HIC.pos GW34.testPoint.HIC.pos GW35.testPoint.HIC.pos];
GW_Pi = [GW30.testPoint.press.in GW31.testPoint.press.in GW32.testPoint.press.in GW33.testPoint.press.in GW34.testPoint.press.in GW35.testPoint.press.in];
GW_Po = [GW30.testPoint.press.out GW31.testPoint.press.out GW32.testPoint.press.out GW33.testPoint.press.out GW34.testPoint.press.out GW35.testPoint.press.out];
GW_wikaDp1 = [GW30.testPoint.Wika.dp1 GW31.testPoint.Wika.dp1 GW32.testPoint.Wika.dp1 GW33.testPoint.Wika.dp1 GW34.testPoint.Wika.dp1 GW35.testPoint.Wika.dp1];
GW_wikaDp2 = [GW30.testPoint.Wika.dp2 GW31.testPoint.Wika.dp2 GW32.testPoint.Wika.dp2 GW33.testPoint.Wika.dp2 GW34.testPoint.Wika.dp2 GW35.testPoint.Wika.dp2];
GW_wikaDp3 = [GW30.testPoint.Wika.dp3 GW31.testPoint.Wika.dp3 GW32.testPoint.Wika.dp3 GW33.testPoint.Wika.dp3 GW34.testPoint.Wika.dp3 GW35.testPoint.Wika.dp3];
GW_EmcoDp1 = [GW30.testPoint.Emco.dp1 GW31.testPoint.Emco.dp1 GW32.testPoint.Emco.dp1 GW33.testPoint.Emco.dp1 GW34.testPoint.Emco.dp1 GW35.testPoint.Emco.dp1];
GW_EmcoDp2 = [GW30.testPoint.Emco.dp2 GW31.testPoint.Emco.dp2 GW32.testPoint.Emco.dp2 GW33.testPoint.Emco.dp2 GW34.testPoint.Emco.dp2 GW35.testPoint.Emco.dp2];

%Make lists of density measurements
GW_Gref_rho = [GW30.testPoint.gasRef.rho GW31.testPoint.gasRef.rho GW32.testPoint.gasRef.rho GW33.testPoint.gasRef.rho GW34.testPoint.gasRef.rho GW35.testPoint.gasRef.rho];
GW_Wref_rho = [GW30.testPoint.watRef.rho GW31.testPoint.watRef.rho GW32.testPoint.watRef.rho GW33.testPoint.watRef.rho GW34.testPoint.watRef.rho GW35.testPoint.watRef.rho];

