clc;
clear all; 

% %Load dataset
W01 = load('W01.mat');
W02 = load('W02.mat');
W03 = load('W03.mat');
W08 = load('W08.mat');
W09 = load('W09.mat');
W10 = load('W10.mat');
W11 = load('W11.mat');
W12 = load('W12.mat');


%Choose samples
start = 7705601;
stop = 7707600;

%Samples
W01_ae1_data = W01.testPoint.data(1).vData.ch(1).data(start:stop);  
W02_ae1_data = W02.testPoint.data(1).vData.ch(1).data(start:stop);  
W03_ae1_data = W03.testPoint.data(1).vData.ch(1).data(start:stop);    
W08_ae1_data = W08.testPoint.data(1).vData.ch(1).data(start:stop);  
W09_ae1_data = W09.testPoint.data(1).vData.ch(1).data(start:stop);  
W10_ae1_data = W10.testPoint.data(1).vData.ch(1).data(start:stop);  
W11_ae1_data = W11.testPoint.data(1).vData.ch(1).data(start:stop);  
W12_ae1_data = W12.testPoint.data(1).vData.ch(1).data(start:stop);
W01_ae3_data = W01.testPoint.data(1).vData.ch(3).data(start:stop);  
W02_ae3_data = W02.testPoint.data(1).vData.ch(3).data(start:stop);  
W03_ae3_data = W03.testPoint.data(1).vData.ch(3).data(start:stop);  
W08_ae3_data = W08.testPoint.data(1).vData.ch(3).data(start:stop);  
W09_ae3_data = W09.testPoint.data(1).vData.ch(3).data(start:stop);  
W10_ae3_data = W10.testPoint.data(1).vData.ch(3).data(start:stop);  
W11_ae3_data = W11.testPoint.data(1).vData.ch(3).data(start:stop);  
W12_ae3_data = W12.testPoint.data(1).vData.ch(3).data(start:stop);
W01_ae4_data = W01.testPoint.data(1).vData.ch(4).data(start:stop);  
W02_ae4_data = W02.testPoint.data(1).vData.ch(4).data(start:stop);  
W03_ae4_data = W03.testPoint.data(1).vData.ch(4).data(start:stop);  
W08_ae4_data = W08.testPoint.data(1).vData.ch(4).data(start:stop);  
W09_ae4_data = W09.testPoint.data(1).vData.ch(4).data(start:stop);  
W10_ae4_data = W10.testPoint.data(1).vData.ch(4).data(start:stop);  
W11_ae4_data = W11.testPoint.data(1).vData.ch(4).data(start:stop);  
W12_ae4_data = W12.testPoint.data(1).vData.ch(4).data(start:stop);

% %Calculate RMS
W01_ae1_rms = rms(W01_ae1_data);  
W02_ae1_rms = rms(W02_ae1_data);  
W03_ae1_rms = rms(W03_ae1_data);  
W08_ae1_rms = rms(W08_ae1_data);  
W09_ae1_rms = rms(W09_ae1_data);  
W10_ae1_rms = rms(W10_ae1_data);
W11_ae1_rms = rms(W11_ae1_data); 
W12_ae1_rms = rms(W12_ae1_data); 
W01_ae3_rms = rms(W01_ae3_data);  
W02_ae3_rms = rms(W02_ae3_data);  
W03_ae3_rms = rms(W03_ae3_data);  
W08_ae3_rms = rms(W08_ae3_data);  
W09_ae3_rms = rms(W09_ae3_data); 
W10_ae3_rms = rms(W10_ae3_data); 
W11_ae3_rms = rms(W11_ae3_data); 
W12_ae3_rms = rms(W12_ae3_data); 
W01_ae4_rms = rms(W01_ae4_data); 
W02_ae4_rms = rms(W02_ae4_data); 
W03_ae4_rms = rms(W03_ae4_data); 
W08_ae4_rms = rms(W08_ae4_data);   
W09_ae4_rms = rms(W09_ae4_data); 
W10_ae4_rms = rms(W10_ae4_data);  
W11_ae4_rms = rms(W11_ae4_data);
W12_ae4_rms = rms(W12_ae4_data); 


%Make lists of acoustic measurements
W_ae1_rms = [W01_ae1_rms W02_ae1_rms W03_ae1_rms W08_ae1_rms W09_ae1_rms W10_ae1_rms W11_ae1_rms W12_ae1_rms];
W_ae3_rms = [W01_ae3_rms W02_ae3_rms W03_ae3_rms W08_ae3_rms W09_ae3_rms W10_ae3_rms W11_ae3_rms W12_ae3_rms];
W_ae4_rms = [W01_ae4_rms W02_ae4_rms W03_ae4_rms W08_ae4_rms W09_ae4_rms W10_ae4_rms W11_ae4_rms W12_ae4_rms];

%Make lists of flow measurements
W_Wref_Qv = [W01.testPoint.watRef.q W02.testPoint.watRef.q W03.testPoint.watRef.q W08.testPoint.watRef.q W09.testPoint.oilRef.q W10.testPoint.watRef.q W11.testPoint.watRef.q W12.testPoint.watRef.q];

%Make lists of valve positions and pressure measurements
W_HIC = [W01.testPoint.HIC.pos W02.testPoint.HIC.pos W03.testPoint.HIC.pos W08.testPoint.HIC.pos W09.testPoint.HIC.pos W10.testPoint.HIC.pos W11.testPoint.HIC.pos W12.testPoint.HIC.pos];
W_Pi = [W01.testPoint.press.in W02.testPoint.press.in W03.testPoint.press.in W08.testPoint.press.in W09.testPoint.press.in W10.testPoint.press.in W11.testPoint.press.in W12.testPoint.press.in];
W_Po = [W01.testPoint.press.out W02.testPoint.press.out W03.testPoint.press.out W08.testPoint.press.out W09.testPoint.press.out W10.testPoint.press.out W11.testPoint.press.out W12.testPoint.press.out];
W_wikaDp1 = [W01.testPoint.Wika.dp1 W02.testPoint.Wika.dp1 W03.testPoint.Wika.dp1 W08.testPoint.Wika.dp1 W09.testPoint.Wika.dp1 W10.testPoint.Wika.dp1 W11.testPoint.Wika.dp1 W12.testPoint.Wika.dp1];
W_wikaDp2 = [W01.testPoint.Wika.dp2 W02.testPoint.Wika.dp1 W03.testPoint.Wika.dp2 W08.testPoint.Wika.dp2 W09.testPoint.Wika.dp2 W10.testPoint.Wika.dp2 W11.testPoint.Wika.dp2 W12.testPoint.Wika.dp2];
W_wikaDp3 = [W01.testPoint.Wika.dp3 W02.testPoint.Wika.dp1 W03.testPoint.Wika.dp3 W08.testPoint.Wika.dp3 W09.testPoint.Wika.dp3 W10.testPoint.Wika.dp3 W11.testPoint.Wika.dp3 W12.testPoint.Wika.dp3];
W_EmcoDp1 = [W01.testPoint.Emco.dp1 W02.testPoint.Wika.dp1 W03.testPoint.Emco.dp1 W08.testPoint.Emco.dp1 W09.testPoint.Emco.dp1 W10.testPoint.Emco.dp1 W11.testPoint.Emco.dp1 W12.testPoint.Emco.dp1];
W_EmcoDp2 = [W01.testPoint.Emco.dp2 W02.testPoint.Wika.dp1 W03.testPoint.Emco.dp2 W08.testPoint.Emco.dp2 W09.testPoint.Emco.dp2 W10.testPoint.Emco.dp2 W11.testPoint.Emco.dp2 W12.testPoint.Emco.dp2];